cURL
curl --request GET \ --url https://api.agentwallex.com/api/v1/policies \ --header 'X-API-Key: <api-key>'
{ "data": [ { "id": "<string>", "agent_id": "<string>", "type": "spending_limit", "rules": { "max_transaction_amount": "<string>", "daily_limit": "<string>", "monthly_limit": "<string>", "allowed_addresses": [ "<string>" ], "blocked_addresses": [ "<string>" ], "allowed_tokens": [ "<string>" ], "max_count": 123, "window_seconds": 123, "timezone": "<string>", "allowed_hours": { "start": 11, "end": 11 }, "allowed_days": [ 4 ], "threshold": "<string>", "timeout_seconds": 123, "approvers": [ "jsmith@example.com" ] }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "total": 123, "has_more": true }
获取所有策略,可按代理过滤。
curl -X GET "https://api.agentwallex.com/api/v1/policies?agent_id=agent_abc123" \ -H "X-API-Key: awx_your_api_key"
API key authentication. Keys are prefixed with awx_.
awx_
Page number (1-indexed).
x >= 1
Number of items per page.
1 <= x <= 100
Filter by agent ID.
Paginated list of policies.
Standard paginated response wrapper.
Array of resource objects.
Show child attributes
Total number of items matching the query.
Whether more pages are available.